ORYASTRA
Products
Solutions
Developers
Research
Pricing
Resources
About
EN
Login
ORYASTRA

With fire at the core, toward the realm of starsLet intelligence reach the real world

About

  • Company profile
  • Join us
  • Current focus
  • Stage progress
  • Strategic partners
  • Contact us
  • Security & Privacy
  • Trustworthy AI

Products

  • NOREK Chat
  • NOREK Agent
  • ORAST
  • Product Overview

Solutions

  • Individuals
  • Teams
  • Enterprise
  • Healthcare
  • Robotics & Embodied AI
  • Education
  • Research Innovation
  • Intelligent Work

Developers

  • SDK
  • API
  • Docs

Research

  • Research Overview
  • Agent Research
  • Multimodal Intelligence
  • Model Research

Pricing

  • NOREK Subscription

Contact and follow us

oryastra
Emailoryastra@starwardai.cn
Phone18512185217
Official social media
Official social media
Business cooperation
Business cooperation
© 2026 Towarsstar (Shanghai) AI Technology Co., Ltd.All rights reserved.沪ICP备2026020218号-1Privacy PolicyTerms of Service

API Reference

Explore endpoints, request parameters, response schemas, and examples.

API menu

Responses/Create response
POST/v1/responses

Create response

Create a model response for text generation, reasoning, or multimodal tasks.

Authentication
Bearer Token
Content-Type
application/json

Parameters

modelstringRequired

Model ID to invoke.

inputstring | arrayRequired

Text or structured input sent to the model.

streambooleanOptionalDefault: false

Whether to return incremental results as an event stream.

temperaturenumberOptionalDefault: 1

Controls output randomness from 0 to 2.

Request body

JSON
{
  "model": "oryastra-chat",
  "input": "Hello",
  "stream": false
}

Response fields

idstring

Unique response identifier.

statusstring

Current response status.

outputarray

Structured content generated by the model.

usageobject

Input and output token usage.

Errors

400Invalid request
401Unauthorized
429Rate limit exceeded

Code example

curl -X POST https://www.oryastra.com/api/v1/responses \
  -H "Authorization: Bearer $ORYASTRA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{  "model": "oryastra-chat",  "input": "Hello",  "stream": false}'

Response

200 OK
JSON
{
  "id": "create-response_01J...",
  "object": "create_response",
  "status": "completed"
}

Code example

curl -X POST https://www.oryastra.com/api/v1/responses \
  -H "Authorization: Bearer $ORYASTRA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{  "model": "oryastra-chat",  "input": "Hello",  "stream": false}'

Response

200 OK
JSON
{
  "id": "create-response_01J...",
  "object": "create_response",
  "status": "completed"
}